#!/bin/bash
DOMAIN=${1:-mail.haiky.app}
EMAIL=${2:-deine-email@example.com}

echo "Generiere Zertifikat für $DOMAIN mit E-Mail $EMAIL"
docker compose run --rm certbot certonly --dns-cloudflare --dns-cloudflare-credentials /cloudflare/cloudflare.ini --email "$EMAIL" --agree-tos --no-eff-email -d "$DOMAIN"

echo "Ändere Berechtigungen der generierten Zertifikate"
sudo chown -R $(id -u):$(id -g) ./letsencrypt

echo "Fertig! Zertifikate wurden in ./letsencrypt/live/$DOMAIN/ gespeichert"